package com.zm.order.tool.server.model;

/**
 * @Description 分页查询基类
 * @Author: ph
 * @Date: 2019/11/4 17:57
 */
public abstract class BasePageQuery {

    /**
     * 页数
     */
    private Integer pageNo;

    /**
     * 每页数量
     */
    private Integer pageSize;

    /**
     * 起始
     */
    private Integer start;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getStart() {
        if (pageNo == null || pageNo < 1) {
            return null;
        } else {
            return (pageNo - 1) * pageSize;
        }
    }

    public void setStart(Integer start) {
        this.start = start;
    }


}
